Summary:	Tools to create graphical boot logos
Name:		gfxboot
Version:	4.5.7
Release:	14
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://en.opensuse.org/
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	lynx
BuildRequires:	nasm
BuildRequires:	xmlto
BuildRequires:	sed
BuildRequires:	docbook-dtd-xml
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(x11)
ExclusiveArch:	%{ix86} x86_64

%description
gfxboot provides tools to create graphical boot logos, for grub, lilo
and syslinux. It supports arch-specific boot menus, advanced help
menus, multiple keymaps, animated images, and more graphical pretty
things.

%files
%{_sbindir}/gfxboot
%{_mandir}/man8/*

#----------------------------------------------------------------------------

%package devel
Summary:	Tools for creating a graphical boot logo
Group:		System/Kernel and hardware
Requires:	%{name} = %{EVRD}
Requires:	master-boot-code
Requires:	qemu

%description devel
Here you find the necessary programs to create your own graphical boot
logo. The logo can be used with grub, lilo or syslinux.

%files devel
%{_bindir}/gfxboot-compile
%{_bindir}/gfxboot-font
%{_bindir}/gfxboot-adddir
%{_bindir}/gfxboot-keymapchars
%{_bindir}/gfxboot-test
%doc doc/gfxboot.txt
%doc doc/gfxboot.html

#----------------------------------------------------------------------------

%prep
%setup -q

%build
export SUSE_ASNEEDED=0
%make
%make doc

%install
%makeinstall_std THEMES=""
install -d -m 755 %{buildroot}%{_mandir}/man8
install -m 644 doc/gfxboot.8 %{buildroot}%{_mandir}/man8

# gfxboot-compile is used to build as non-root, move it out of /usr/sbin
install -d %{buildroot}%{_bindir}
# add adddir and keymapchars since they are used in mandriva-gfxboot-theme
# build system
cp %{_builddir}/%{name}-%{version}/bin/adddir %{buildroot}%{_bindir}/gfxboot-adddir
cp %{_builddir}/%{name}-%{version}/bin/keymapchars %{buildroot}%{_bindir}/gfxboot-keymapchars
mv %{buildroot}%{_sbindir}/gfxboot-compile %{buildroot}%{_bindir}/gfxboot-compile
mv %{buildroot}%{_sbindir}/gfxboot-font %{buildroot}%{_bindir}/gfxboot-font
mv %{buildroot}%{_sbindir}/gfxtest %{buildroot}%{_bindir}/gfxboot-test


%changelog

* Sun Mar 01 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 4.5.7-14
- (43fbc3b) fix BR


